mod_const = {}

if modwenyu.LANGUAGE == "en" then
	mod_const.STRINGS = require "modwenyu_strings"
else
	mod_const.STRINGS = require ("modwenyu_strings_" .. modwenyu.LANGUAGE)
end

mod_const.TUNING =
{
	WENYU_MAX_HEALTH = 150,
	WENYU_MAX_HUNGER = 125,
	WENYU_MAX_SANITY = 225,
	
	WENYU_NEG_AURA_MULT = 0.5,
	WENYU_FOOD_NEG_SANITY_MULT = 0.5,
	
	WENYU_HURT_ANIMAL_PENALTY = -5,
	WENYU_KILL_ANIMAL_PENALTY = -15,

	WOODENSWORD_ATTACK_BASE = 26,

	WOODENSWORD_ACTIVATED_ATTACK =
	{
		DEFAULT = 37.5,
		qian = 68,
		kun = 49,
		zhen = 49,
	},
	WOODENSWORD_ACTIVATED_DAPERNESS =
	{
		DEFAULT = 0,
		kun = TUNING.DAPPERNESS_LARGE,
		dui = TUNING.DAPPERNESS_TINY,
	},
	WOODENSWORD_ACTIVATED_SPEED = 1,
	WOODENSWORD_ACTIVATED_XUN_SPEED = 1.3,
	WOODENSWORD_ACTIVATED_LI_ABSORB_BONUS = 10,
	WOODENSWORD_ACTIVATED_LI_IGNITE_PERCENT = 1,
	WOODENSWORD_ACTIVATED_GEN_RANGE = 3,
	WOODENSWORD_ACTIVATED_DUI_POISON_PERCENT = 0.5,
	
	XUNWIND_LIFETIME = 2,
	XUNWIND_DAMAGE = 8,
	
	DUIPOISON_LIFETIME = 10,
	DUIPOISON_DAMAGE_PER_SEC = 3,
	DUIPOISON_DAMAGE_PERIOD = 0.5,
	
	LIFLAME_LIFETIME = 5,
	LIFLAME_DAMAGE_PER_SEC = 2,
	LIFLAME_DAMAGE_PERIOD = 1,
	LIFLAME_EXTRA_DAMAGE = 5,
	
	REACTIVATE_SANITY_PENALTY = -35,
	
	BAGUA_DUMMY_EFFECT =
	{
		1,
		0.5,
		0,
	},
	
	COPY_SANITY_PENALTY = -15,
	
	WOODENSWORD_NORMAL_USES = 105,
	WOODENSWORD_NORMAL_ATTACK_MULT = 0.75,
	WOODENSWORD_NORMAL_DAPERNESS_MULT = 0.75,
}

mod_const.FOODTYPE =
{
	TAOIST = "TAOIST",
}
return mod_const
